//*************************************************
// ROUTINE PER PWM
//
// modulo: pwm.c
// 
// data: 08/06/2012
// descrizione: mudulo per centralina per automatizzare le persiane
// picmicro: PIC16F88
//*************************************************

void Send(unsigned char Dest, unsigned char Address, unsigned char Group, unsigned char Command, unsigned char Data1, unsigned char Data2)
{
RCIE=0; // interrupt di ricezione su seriale disattivato
EN=1;//abilito la trasmissione RS485
printf("%d,%d,%d,%d,%d,%d \n",Dest,Address,Group,Command,Data1,Data2);//invio il telegramma
DelayMs(3);//tempo di attesa per terminare la trasmissione dei dati
EN=0;//disabilito la trasmissione RS485
RCIE=1; // interrupt di ricezione su seriale attivato
}