//*************************************************
// CENTRALINA PER AUTOMATIZZARE LE PERSIANE
//
// modulo: delay.c
// 
// data: 08/06/2012
// descrizione: modulo per centralina per persiane a 2 ante
// picmicro: PIC16F88
// clock: 8MHz interno
// NOTE:gestione della velocit con PWM
//*************************************************

#include	"delay.h"

void
DelayMs(unsigned char cnt)
{
#if	XTAL_FREQ <= 2MHZ
	do {
		DelayUs(996);
	} while(--cnt);
#endif

#if    XTAL_FREQ > 2MHZ	
	unsigned char	i;
	do {
		i = 4;
		do {
			DelayUs(250);
		} while(--i);
	} while(--cnt);
#endif
}
